<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/SoundEvents/PlayerSoundEvents/Events/HoldBreathEvents.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/da2/_hold_breath_events_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">HoldBreathEvents.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/da2/_hold_breath_events_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d4/da2/_hold_breath_events_8c.html#a7d0af8b9d1282f50184ff48a58bc74df">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/deb/class_hold_breath_sound_event_base.html">HoldBreathSoundEventBase</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d5/def/class_player_sound_event_base.html">PlayerSoundEventBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d5/def/class_player_sound_event_base.html#ab886ac6841a1c5a3d84fa64e91619ffe">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/def/class_player_sound_event_base.html#ab886ac6841a1c5a3d84fa64e91619ffe">HoldBreathSoundEventBase</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../dd/d40/_player_sound_event_base_8c.html#a54288b4389af442f91defeacc6262bdd">m_HasPriorityOverTypes</a> = -1;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d5/def/class_player_sound_event_base.html#a9c693ebac1b0a7bbc187fb0aa1240994">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d5/def/class_player_sound_event_base.html#a9c693ebac1b0a7bbc187fb0aa1240994">HasHoldBreathException</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>}</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">class </span><a class="code hl_function" href="../../d4/da2/_hold_breath_events_8c.html#a7d0af8b9d1282f50184ff48a58bc74df">HoldBreathSoundEvent</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d2/deb/class_hold_breath_sound_event_base.html">HoldBreathSoundEventBase</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/da2/_hold_breath_events_8c.html#a7d0af8b9d1282f50184ff48a58bc74df">HoldBreathSoundEvent</a>()</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d4/da2/_hold_breath_events_8c.html#a443ff1bfa7bfcb1e08beefe3d514200f">   19</a></span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a> = <a class="code hl_enumeration" href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a>.GENERAL;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a> = <a class="code hl_enumeration" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a>.HOLD_BREATH;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="../../d7/dfc/_sound_events_8c.html#a8be8205879e1a5afc5b6a40317946990">m_SoundVoiceAnimEventClassID</a> = 20;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d4/da2/_hold_breath_events_8c.html#a154c86f8de1a5cff3a8347d3d21ddb95">   24</a></span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d4/da2/_hold_breath_events_8c.html#a286474a6b59c193baa69ae5266d4259b">   25</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/deb/class_hold_breath_sound_event_base.html#a04dcebbe11700d1e44405d7d914be235">HasPriorityOverCurrent</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_enumeration" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a> other_state_id, <a class="code hl_enumeration" href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a> type_other)</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keywordflow">if</span> (other_state_id == <a class="code hl_enumeration" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a>.RELEASE_BREATH)</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>}</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d4/da2/_hold_breath_events_8c.html#a4682277b485fdcb91b9de7713d7d650d">   35</a></span><span class="keyword">class </span><a class="code hl_function" href="../../d4/da2/_hold_breath_events_8c.html#a65d5377532cd69592ad812944428dc49">ExhaustedBreathSoundEvent</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d2/deb/class_hold_breath_sound_event_base.html">HoldBreathSoundEventBase</a></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>{</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d2/deb/class_hold_breath_sound_event_base.html#a48b58879b63f1fa4ce7ded671ba3fe06">   37</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/deb/class_hold_breath_sound_event_base.html#a48b58879b63f1fa4ce7ded671ba3fe06">ExhaustedBreathSoundEvent</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a> = <a class="code hl_enumeration" href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a>.GENERAL;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a> = <a class="code hl_enumeration" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a>.EXHAUSTED_BREATH;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_variable" href="../../d7/dfc/_sound_events_8c.html#a8be8205879e1a5afc5b6a40317946990">m_SoundVoiceAnimEventClassID</a> = 22;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d2/deb/class_hold_breath_sound_event_base.html#a04dcebbe11700d1e44405d7d914be235">   44</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/deb/class_hold_breath_sound_event_base.html#a04dcebbe11700d1e44405d7d914be235">HasPriorityOverCurrent</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_enumeration" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a> other_state_id, <a class="code hl_enumeration" href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a> type_other)</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>}</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span><span class="keyword">class </span><a class="code hl_function" href="../../d4/da2/_hold_breath_events_8c.html#a4682277b485fdcb91b9de7713d7d650d">ReleaseBreathSoundEvent</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d2/deb/class_hold_breath_sound_event_base.html">HoldBreathSoundEventBase</a></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>{</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/da2/_hold_breath_events_8c.html#a4682277b485fdcb91b9de7713d7d650d">ReleaseBreathSoundEvent</a>()</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d4/da2/_hold_breath_events_8c.html#a65d5377532cd69592ad812944428dc49">   53</a></span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <a class="code hl_variable" href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a> = <a class="code hl_enumeration" href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a>.GENERAL;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <a class="code hl_variable" href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a> = <a class="code hl_enumeration" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a>.RELEASE_BREATH;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <a class="code hl_variable" href="../../d7/dfc/_sound_events_8c.html#a8be8205879e1a5afc5b6a40317946990">m_SoundVoiceAnimEventClassID</a> = 21;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d2/deb/class_hold_breath_sound_event_base.html#a04dcebbe11700d1e44405d7d914be235">HasPriorityOverCurrent</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_enumeration" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a> other_state_id, <a class="code hl_enumeration" href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a> type_other)</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">if</span>( other_state_id == <a class="code hl_enumeration" href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a>.HOLD_BREATH)</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>}</div>
<div class="ttc" id="a4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_html_abfdaa01618f1af01d1a23e2611c0109f"><div class="ttname"><a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c.html#abfdaa01618f1af01d1a23e2611c0109f">m_Type</a></div><div class="ttdeci">eBleedingSourceType m_Type</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dee/4___world_2_classes_2_bleeding_sources_2_bleeding_source_8c_source.html#l00025">BleedingSource.c:25</a></div></div>
<div class="ttc" id="a_effect_8c_html_a231c2447c3602426c9e06e6094bae8a8"><div class="ttname"><a href="../../d5/d2d/_effect_8c.html#a231c2447c3602426c9e06e6094bae8a8">m_ID</a></div><div class="ttdeci">protected int m_ID</div><div class="ttdoc">ID of effect, given by SEffectManager when registered (automatically done when playing through it)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d2d/_effect_8c_source.html#l00049">Effect.c:49</a></div></div>
<div class="ttc" id="a_hold_breath_events_8c_html_a4682277b485fdcb91b9de7713d7d650d"><div class="ttname"><a href="../../d4/da2/_hold_breath_events_8c.html#a4682277b485fdcb91b9de7713d7d650d">ReleaseBreathSoundEvent</a></div><div class="ttdeci">class ExhaustedBreathSoundEvent extends HoldBreathSoundEventBase ReleaseBreathSoundEvent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da2/_hold_breath_events_8c_source.html#l00035">HoldBreathEvents.c:52</a></div></div>
<div class="ttc" id="a_hold_breath_events_8c_html_a65d5377532cd69592ad812944428dc49"><div class="ttname"><a href="../../d4/da2/_hold_breath_events_8c.html#a65d5377532cd69592ad812944428dc49">ExhaustedBreathSoundEvent</a></div><div class="ttdeci">void ExhaustedBreathSoundEvent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da2/_hold_breath_events_8c_source.html#l00053">HoldBreathEvents.c:53</a></div></div>
<div class="ttc" id="a_hold_breath_events_8c_html_a7d0af8b9d1282f50184ff48a58bc74df"><div class="ttname"><a href="../../d4/da2/_hold_breath_events_8c.html#a7d0af8b9d1282f50184ff48a58bc74df">HoldBreathSoundEvent</a></div><div class="ttdeci">class HoldBreathSoundEventBase extends PlayerSoundEventBase HoldBreathSoundEvent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da2/_hold_breath_events_8c_source.html#l00001">HoldBreathEvents.c:18</a></div></div>
<div class="ttc" id="a_player_sound_event_base_8c_html_a2f8cbb1a644e4997001af74fb86e1695"><div class="ttname"><a href="../../dd/d40/_player_sound_event_base_8c.html#a2f8cbb1a644e4997001af74fb86e1695">EPlayerSoundEventType</a></div><div class="ttdeci">EPlayerSoundEventType</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d40/_player_sound_event_base_8c_source.html#l00001">PlayerSoundEventBase.c:2</a></div></div>
<div class="ttc" id="a_player_sound_event_base_8c_html_a54288b4389af442f91defeacc6262bdd"><div class="ttname"><a href="../../dd/d40/_player_sound_event_base_8c.html#a54288b4389af442f91defeacc6262bdd">m_HasPriorityOverTypes</a></div><div class="ttdeci">EPlayerSoundEventType m_HasPriorityOverTypes</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d40/_player_sound_event_base_8c_source.html#l00040">PlayerSoundEventBase.c:40</a></div></div>
<div class="ttc" id="a_player_sound_event_handler_8c_html_ae40d08748e52403c01d49f8987673c88"><div class="ttname"><a href="../../d5/d1b/_player_sound_event_handler_8c.html#ae40d08748e52403c01d49f8987673c88">EPlayerSoundEventID</a></div><div class="ttdeci">EPlayerSoundEventID</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d1b/_player_sound_event_handler_8c_source.html#l00001">PlayerSoundEventHandler.c:2</a></div></div>
<div class="ttc" id="a_sound_events_8c_html_a8be8205879e1a5afc5b6a40317946990"><div class="ttname"><a href="../../d7/dfc/_sound_events_8c.html#a8be8205879e1a5afc5b6a40317946990">m_SoundVoiceAnimEventClassID</a></div><div class="ttdeci">int m_SoundVoiceAnimEventClassID</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dfc/_sound_events_8c_source.html#l00089">SoundEvents.c:89</a></div></div>
<div class="ttc" id="aclass_hold_breath_sound_event_base_html"><div class="ttname"><a href="../../d2/deb/class_hold_breath_sound_event_base.html">HoldBreathSoundEventBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da2/_hold_breath_events_8c_source.html#l00035">HoldBreathEvents.c:36</a></div></div>
<div class="ttc" id="aclass_hold_breath_sound_event_base_html_a04dcebbe11700d1e44405d7d914be235"><div class="ttname"><a href="../../d2/deb/class_hold_breath_sound_event_base.html#a04dcebbe11700d1e44405d7d914be235">HoldBreathSoundEventBase::HasPriorityOverCurrent</a></div><div class="ttdeci">override bool HasPriorityOverCurrent(PlayerBase player, EPlayerSoundEventID other_state_id, EPlayerSoundEventType type_other)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da2/_hold_breath_events_8c_source.html#l00044">HoldBreathEvents.c:44</a></div></div>
<div class="ttc" id="aclass_hold_breath_sound_event_base_html_a48b58879b63f1fa4ce7ded671ba3fe06"><div class="ttname"><a href="../../d2/deb/class_hold_breath_sound_event_base.html#a48b58879b63f1fa4ce7ded671ba3fe06">HoldBreathSoundEventBase::ExhaustedBreathSoundEvent</a></div><div class="ttdeci">void ExhaustedBreathSoundEvent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da2/_hold_breath_events_8c_source.html#l00037">HoldBreathEvents.c:37</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_player_sound_event_base_html"><div class="ttname"><a href="../../d5/def/class_player_sound_event_base.html">PlayerSoundEventBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d72/_damage_events_8c_source.html#l00001">DamageEvents.c:2</a></div></div>
<div class="ttc" id="aclass_player_sound_event_base_html_a9c693ebac1b0a7bbc187fb0aa1240994"><div class="ttname"><a href="../../d5/def/class_player_sound_event_base.html#a9c693ebac1b0a7bbc187fb0aa1240994">PlayerSoundEventBase::HasHoldBreathException</a></div><div class="ttdeci">override bool HasHoldBreathException()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da2/_hold_breath_events_8c_source.html#l00008">HoldBreathEvents.c:8</a></div></div>
<div class="ttc" id="aclass_player_sound_event_base_html_ab886ac6841a1c5a3d84fa64e91619ffe"><div class="ttname"><a href="../../d5/def/class_player_sound_event_base.html#ab886ac6841a1c5a3d84fa64e91619ffe">PlayerSoundEventBase::HoldBreathSoundEventBase</a></div><div class="ttdeci">void HoldBreathSoundEventBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da2/_hold_breath_events_8c_source.html#l00003">HoldBreathEvents.c:3</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_78582fda97199c57cc221ad43f65edbb.html">SoundEvents</a></li><li class="navelem"><a class="el" href="../../dir_146c2ee5711a6aff27f2a707240475a0.html">PlayerSoundEvents</a></li><li class="navelem"><a class="el" href="../../dir_9a753cd1f438ba0c0ac12aa10d2c10bc.html">Events</a></li><li class="navelem"><a class="el" href="../../d4/da2/_hold_breath_events_8c.html">HoldBreathEvents.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
